Name:           conglomerate
Version:        0.9.1
Release:        1%{?dist}

Summary:        Extensible XML Editor

Group:          Applications/Editors
License:        GPL
URL:            http://www.conglomerate.org/
Source0:        http://download.sourceforge.net/conglomerate/conglomerate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel >= 2.4.0
BuildRequires:  gtksourceview-devel
BuildRequires:	intltool
BuildRequires:  libglade2-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libgnomeprintui22-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper

Requires:         yelp
Requires(post):   desktop-file-utils
Requires(post):   GConf2
Requires(post):   scrollkeeper
Requires(postun): desktop-file-utils
Requires(postun): scrollkeeper
Requires(preun):  GConf2


%description
Conglomerate is a complete system for working with XML documents. It lets the
user create, revise, archive, search, convert and publish information in
several media, using a single source document. The system consists of a
graphical frontend for all user operations, and a server/database which
performs storage, searching, revision control, transformation and publishing.


%prep
%setup -q


%build
%configure                     \
        --enable-gtksourceview \
        --enable-printing      \
        --disable-schemas-install
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=${RPM_BUILD_ROOT}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -rf ${RPM_BUILD_ROOT}%{_localstatedir}/scrollkeeper
%find_lang %{name}

rm -f ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/ChangeLog
desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}


%post
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null
scrollkeeper-update -q
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%preun
export GCONF_CONFIG_SOURCE="$(gconftool-2 --get-default-source)"
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%{name}.schemas &>/dev/null


%postun
scrollkeeper-update -q
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog COPYING NEWS README TODO
%doc %{_datadir}/gnome/help/conglomerate/
%{_bindir}/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/conglomerate/
%{_datadir}/omf/conglomerate/
%{_datadir}/pixmaps/*
%{_datadir}/application-registry/conglomerate.applications
%{_datadir}/mime-info/*
%{_datadir}/gtk-doc/html/conglomerate/
%{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Sat Feb 18 2006 José Matos <jamatos@fc.up.pt> - 0.9.1-1
- Update to version 0.9.1

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Feb 20 2005 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.9.0-1
- 0.9.0.

* Sat Nov 27 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.7.16-3
- post/postun update-desktop-db.

* Sat Nov 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.7.16-0.fdr.2
- Spec cleanup.

* Sat Nov 06 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.7.16-0.fdr.1
- 0.7.16.
- re-enable printing.
- BR gtk-doc.

* Fri Jul 23 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.14-0.fdr.2
- BuildReq gtk2-devel >= 2.4.0

* Sun Jul 11 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.14-0.fdr.1
- Updated to 0.7.14.
- Removed --enable-printing (currently broken).

* Wed Apr 21 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.12-0.fdr.5
- Remove Requires(foo,bar) notation.

* Wed Apr 14 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.12-0.fdr.4
- Require yelp so help will work (#1203).

* Wed Apr 14 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.12-0.fdr.3
- Using ln -s so conglomerate and yelp can both find help files (#1203).

* Tue Apr 13 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.12-0.fdr.2
- BuildReq perl-XML-Parser.

* Mon Apr 12 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.12-0.fdr.1
- Updated to 0.7.12.
- BuildReq intltool.
- uninstall schema from gconf in preun.
- Req(post,preun) GConf2.

* Sat Jan 31 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.11-0.fdr.1
- Updated to 0.7.11.
- Drop BuildReq gtk-doc.

* Sat Jan 10 2004 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.10-0.fdr.1
- Updated to 0.7.10.
- BuildReq perl-XML-Parser.
- schema install.

* Wed Oct 29 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.6-0.fdr.1
- Updated to 0.7.6.

* Thu Oct 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.5-0.fdr.1
- Updated to 0.7.5.
- BuildReq gtk-doc.

* Mon Sep 29 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.4-0.fdr.1
- Updated to 0.7.4.
- BuildReq gtksourceview-devel.

* Tue Sep 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.3-0.fdr.1
- Updated to 0.7.3.
- Use a path for Source that allows direct download.
- Improved description.

* Fri Sep 19 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.2-0.fdr.1
- Updated to 0.7.2.

* Mon Sep 15 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.7.1-0.fdr.1
- Initial Release.
